Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata
Class WsrmdConstants

    java.lang.Object
      org.apache.muse.ws.resource.metadata.WsrmdConstants

public class WsrmdConstants
extends java.lang.Object

WsrmdConstants is a collection of properties that are useful when programming against the WS-ResourceMetadata spec. This class uses WS-RMD v1.0.

Author:
  Dan Jemiolo (danj)

Field Summary
`static java.lang.String` | `APPENDABLE`
`static java.lang.String` | `CONSTANT`
`static QName` | `DEFINITIONS_QNAME`
`static QName` | `DESCRIPTOR_ATTR_QNAME`
`static QName` | `DESCRIPTOR_LOCATION_ATTR_QNAME`
`static QName` | `DESCRIPTOR_QNAME`
`static QName` | `INITIAL_VALUES_QNAME`
`static java.lang.String` | `INTERFACE`
`static java.lang.String` | `LOWER_BOUND`
`static java.lang.String` | `MODIFIABILITY`
`static java.lang.String` | `MUTABILITY`
`static java.lang.String` | `MUTABLE`
`static java.lang.String` | `NAME`
`static java.lang.String` | `NAMESPACE_URI` The current WS-RMD namespace URI - v1.0.
`static java.lang.String` | `PREFIX`
`static QName` | `PROPERTY_QNAME`
`static java.lang.String` | `READ_ONLY`
`static java.lang.String` | `READ_WRITE`
`static QName` | `STATIC_VALUES_QNAME`
`static java.lang.String` | `UPPER_BOUND`
`static QName` | `VALID_RANGE_QNAME`
`static QName` | `VALID_VALUES_QNAME`
`static java.lang.String` | `WSDL_LOCATION`

Constructor Summary
`WsrmdConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

  The current WS-RMD namespace URI - v1.0.

  See Also:
    Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### DEFINITIONS_QNAME

    public static final QName DEFINITIONS_QNAME

### DESCRIPTOR_QNAME

    public static final QName DESCRIPTOR_QNAME

### DESCRIPTOR_ATTR_QNAME

    public static final QName DESCRIPTOR_ATTR_QNAME

### DESCRIPTOR_LOCATION_ATTR_QNAME

    public static final QName DESCRIPTOR_LOCATION_ATTR_QNAME

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### INTERFACE

    public static final java.lang.String INTERFACE

See Also:
  Constant Field Values

### WSDL_LOCATION

    public static final java.lang.String WSDL_LOCATION

See Also:
  Constant Field Values

### PROPERTY_QNAME

    public static final QName PROPERTY_QNAME

### MODIFIABILITY

    public static final java.lang.String MODIFIABILITY

See Also:
  Constant Field Values

### READ_ONLY

    public static final java.lang.String READ_ONLY

See Also:
  Constant Field Values

### READ_WRITE

    public static final java.lang.String READ_WRITE

See Also:
  Constant Field Values

### MUTABILITY

    public static final java.lang.String MUTABILITY

See Also:
  Constant Field Values

### APPENDABLE

    public static final java.lang.String APPENDABLE

See Also:
  Constant Field Values

### CONSTANT

    public static final java.lang.String CONSTANT

See Also:
  Constant Field Values

### MUTABLE

    public static final java.lang.String MUTABLE

See Also:
  Constant Field Values

### INITIAL_VALUES_QNAME

    public static final QName INITIAL_VALUES_QNAME

### STATIC_VALUES_QNAME

    public static final QName STATIC_VALUES_QNAME

### VALID_VALUES_QNAME

    public static final QName VALID_VALUES_QNAME

### VALID_RANGE_QNAME

    public static final QName VALID_RANGE_QNAME

### LOWER_BOUND

    public static final java.lang.String LOWER_BOUND

See Also:
  Constant Field Values

### UPPER_BOUND

    public static final java.lang.String UPPER_BOUND

See Also:
  Constant Field Values

Constructor Detail

### WsrmdConstants

    public WsrmdConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD